<?xml version="1.0"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->


<ruleset name="Favorites">
  <description>
The Favorites ruleset contains links to rules that I like to use.  Usually I
combine this ruleset with the unusedcode.xml, basic.xml, and import.xml rulesets for my projects.
This ruleset also serves as an example of do a custom ruleset.
  </description>

  <rule ref="rulesets/braces.xml/WhileLoopsMustUseBracesRule"/>
  <rule ref="rulesets/braces.xml/ForLoopsMustUseBracesRule"/>
    <rule ref="rulesets/design.xml/LooseCouplingRule"/>
    <rule ref="rulesets/design.xml/SimplifyBooleanReturnsRule"/>
    <rule ref="rulesets/design.xml/SwitchStmtsShouldHaveDefault"/>
    <rule ref="rulesets/strings.xml/StringToString"/>
    <rule ref="rulesets/strings.xml/StringInstantiation"/>
     <rule ref="rulesets/controversial.xml/UnnecessaryConstructorRule"/>
  <rule ref="rulesets/controversial.xml/NullAssignment"/>
  <rule ref="rulesets/controversial.xml/UnusedModifier"/>

</ruleset>



